Subject: New Reply Received - PLS do not shop here! I am still waiting for my refund for a defective item they sold me, from March...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 25 Jun 2020 12:20:20 +0000

Hi Shakeeb Arsalan,  The customer has responded to the ticket.  PLS do not shop here! I am still waiting for my refund for a defective item they sold me, from March...  Ticket comment <div>Yes Michelle Gopaul same condition of mine waiting since April 2nd every time they are making new dramas I  mailed them also but no response
Worse service of refund they have</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1256916